// Object.h

struct Material
{
	char	MaterialName[25];
	char	MaterialClass[25];
	HTREEITEM TreeNode;
	Material *SubMaterials;
	Material *NxItem;
};

struct VertexNode
{
	float x;
	float y;
	float z;
	VertexNode *NxNode;
};

struct FaceNode
{
	int		a;
	int		b;
	int		c;
	int		aTextVertex;
	int		bTextVertex;
	int		cTextVertex;
	int		MaterialID;

	float	Normalx;
	float	Normaly;
	float	Normalz;
	
	FaceNode *NxNode;
};
struct TVertexNode
{
	float	u;
	float	v;
	float	w;
	TVertexNode *NxNode;
};


struct Object
{
	char	Name[50];
	int		VertexCount;
	int		FaceCount;
	int		TVertexCount;
	long int		Pos;
	int		MaterialRef;

	VertexNode *VertexList;
	FaceNode * FaceList;
	TVertexNode *TVertexList;
	Object *NxObject;
	HTREEITEM TreeNode;

	HTREEITEM  VertexNode;
	HTREEITEM  FaceNode;
	HTREEITEM  TvertexNode;
	HTREEITEM  FaceNormalNode;
	HTREEITEM  FaceTVertexNode;
};
